<?php

class OG_Model_Thread extends XFCP_OG_Model_Thread
{
    public function getThreadById($threadId, array $fetchOptions = array())
    {
        $thread = parent::getThreadById($threadId, $fetchOptions);
        
        if(empty($thread['ogimage']))
        {
            $attachmentModel = $this->_getAttachmentModel();
            $attachments = $attachmentModel->getAttachmentsByContentId('ogimage', $thread['thread_id']);
            
            if($attachments)
            {
                foreach($attachments as $attachment)
                {
                    $thread['ogimage_a'] = XenForo_Link::buildPublicLink('canonical:attachments', $attachment);
                    break;
                }
            }
        }
        
        return $thread;
    }
    
    protected function _getAttachmentModel()
    {
            return $this->getModelFromCache('XenForo_Model_Attachment');
    }
}